Subject: Offline Message from Leena: I ordered the stroller and only got a car seat ??
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 16 Jun 2020 13:59:37 -0000

From: Leena <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us/
Department: 

I ordered the stroller and only got a car seat ??? In the discretions it said it comes with stroller this is my first experience with Mumzworld and I’m very disappointed and two of my orders were canceled and they took my money and didn’t refund me and I have been ignored by your side when contacting you I will contact ministry of commerce as I did not get what I ordered and I’m being ignored by your side and that’s not fair 

----
Zopim
https://www.zopim.com